/*
  
  This file is part of ERIKYYYPHONE
  Copyright (C) 1996 Erik Thiele
  see README for details and contact adresses.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  */

#ifndef __WARTER_H
#define __WARTER_H

enum WarterType {WARTER_READ, WARTER_WRITE, WARTER_SIGNAL};

void WARTER_init();
void WARTER_deinit();
void WARTER_warte();
void WARTER_add(WarterType art,int i);
void WARTER_del(WarterType art,int i);
int WARTER_handle_aktiv(WarterType mode,int handle);
int WARTER_signal_aktiv_und_reset(int signum);

extern int WARTER_reenter;

#endif
